"""add time series table

Revision ID: f8439095e211
Revises: a141afacffd3
Create Date: 2022-04-20 11:44:12.603166

"""
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

from alembic import op

# revision identifiers, used by Alembic.
revision = "5a5fd945be71"
down_revision = "a141afacffd3"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "timeseriess",
        sa.Column("id", sa.Integer(), sa.Identity(always=False), nullable=False),
        sa.Column(
            "created_at", sa.DateTime(), server_default=sa.text("now()"), nullable=True
        ),
        sa.Column(
            "updated_at", sa.DateTime(), server_default=sa.text("now()"), nullable=True
        ),
        sa.Column("deleted_at", sa.DateTime(), nullable=True),
        sa.Column("deleted", sa.Boolean(), nullable=True),
        sa.Column("line_id", sa.Integer(), nullable=False),
        sa.Column(
            "status",
            postgresql.ENUM(
                "TOTAL_HALT",
                "EFFICIENCY_REDUCTION",
                "POTENTIAL_HALT",
                "NON_CRITICAL",
                "INACTIVE",
                "PLANNED_ACTION",
                "PREVENTIVE_MAINTENANCE",
                "RUNNING",
                "NOT_RUNNING",
                name="line_statuses",
            ),
            nullable=False,
        ),
        sa.ForeignKeyConstraint(["line_id"], ["lines.id"], ondelete="SET NULL"),
        sa.PrimaryKeyConstraint("id"),
    )
    op.add_column(
        "timeseriess",
        sa.Column(
            "timestamp", sa.DateTime(), server_default=sa.text("now()"), nullable=True
        ),
    )
    op.create_index(
        op.f("ix_timeseriess_timestamp"), "timeseriess", ["timestamp"], unique=False
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("timeseriess")
    # ### end Alembic commands ###
